- 2023-11-28
  - Set preliminary feature freeze date to 2023-12-06.
  - Set preliminary release date to 2023-12-12.
- 2023-12-06
  - Set preliminary feature freeze date to 2024-01-03.
  - Set preliminary release date to 2024-01-09.
- 2024-01-03
  - Defined scope.
  - Published internal release announcement.
  - Created release notes draft.
- 2024-01-08
  - Received notification that testing has finished.
- 2024-01-09
  - Published to downloads repo.
  - Published to CWS.
  - Published development build to CWS.
  - Published to AMO.
  - Published to Microsoft store.
  - Published to Opera store.
- 2024-01-10
  - Noticed that release is live on CWS.
  - Noticed that release is live on Microsoft store.
- 2024-01-11
  - Noticed that release is live on Opera store.
- 2024-01-12
  - Noticed that release is live on AMO.
